Subject: RE: b17 bash problem with /dev/null on Windows 95 system
From: [email-masked] (Mansuriatus Shahrir Amir)

8 Dec 1996 21:03:03 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
Original-To: "'GNU-Win32 Mailing List'" <[email-masked]>
Original-Sender: [email-masked]

----------
From: 	Keet[SMTP:[email-masked]]
Sent: 	08 December 1996 13:50
To: 	[email-masked]
Subject: 	b17 bash problem with /dev/null on Windows 95 system

>
>  COPY FOR DUP FAILED, handle in FFFFFFFF 6!!
>  bash.exe: /dev/null: Bad file number
>
>Can anyone else reproduce this?  If so, do you know of a fix?  If not,
>does anyone have suggestions about how to debug it?  Should I look at
>bash or is the problem more likely in cygwin.dll?
>
>Thanks,
>
>jwe

amazingly enough, i can reproduce this error on my machine.. running, you
guessed it, a configure script. when it finishes, it was supposed to have
updated the makefile, the configure.in, and autconf.h.in, to include all the
lovely little tools it could find, yet it doesn't seem to do this. i can't
find a fix for it, so i just manualy edited the makefile.in and compiled,
but if there is a fix for this, or i'm missing something, please clue me in
as what to do.

I too can reproduce all these under Win95 under Beta 17. This problem
never occurs under Beta 16. I'm very certain and confident I've removed
whatever remnants there are of Beta 16 on my 95 machine.

If ne1 knows how to get around this any tips would be appreciated.
Now all configure script will fail to get anything significant produced.

I tried mkdir /dev but the results are still the same.

Problem 2:
---------------

There are a few occasins when compiling (that was in Beta 16) I get
a lot of errors that 'not owner'. Running whoami under bash says that
'no user under GID 500'. I know from my experience under Linux this
would be extracted from /etc/passwd and /etc/group.

Ant tip how to reproduce the files (/etc/passwd and /etc/group)  under Win95

Thanks

------------------------------
Mansuriatus Shahrir Amir
[email-masked]

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".